# $Revision: 1.47 $, $Date: 2012/01/07 09:00:54 $
Summary:	Provides diff file statistics
Summary(de.UTF-8):	Liefert diff-Datei-Statistiken
Summary(fr.UTF-8):	Fournit des statistiques sur les différences de fichiers
Summary(pl.UTF-8):	Umożliwia robienie statystyk plików diff
Summary(tr.UTF-8):	diff dosyası istatistik bilgileri çıkarır
Name:		diffstat
Version:	1.55
Release:	1
License:	distributable
Group:		Applications/Text
Source0:	ftp://invisible-island.net/diffstat/%{name}.tar.gz
# Source0-md5:	630d5278f1cd874dc3cc68cff3fddecf
URL:		http://invisible-island.net/diffstat/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
'diffstat' provides a number of statistics on a patch generated by
diff, including number of additions, number of removals, and total
number of changes. It can be useful, for example, to find out what
changes have been made to a program, just by feeding the update patch
to diffstat.

%description -l de.UTF-8
'diffstat' stellt eine Reihe von statistischen Informationen für mit
Patch erzeugte Diffs bereit, u.a. die Zahl der Einfügungen, der
Streichungen sowie die Gesamtzahl der Änderungen. So ist es möglich,
die Änderungen an einem Programm zu ermitteln, indem man das
Update-Patch durch diffstat durchlaufen läßt.

%description -l fr.UTF-8
« diffstat » offre de nombreuses statistiques sur un patch généré par
diff, cela comprend le nombre d'ajouts, de suppressions et le nombre
total de modifications. Il peut être utile, par exemple, de retrouver
les modifications faites à un programme en fournissant uniquement le
patch de mise à jour à diffstat.

%description -l pl.UTF-8
Diffstat umożliwia prowadzenie statystyk pliku (łatki) generowanego
przez diff. Pakiet ten może być użyteczny, na przykład w poszukiwaniu
zmian, które zostały dokonane w jakimś programie.

%description -l tr.UTF-8
diffstat programı, diff tarafından üretilen bir yama üzerinden toplama
sayısı, çıkarma sayısı, toplam değişiklik sayısı gibi bazı
istatistiksel bilgiler çıkartır.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make} \
	CPPFLAGS="%{rpmcflags} -w"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install diffstat $RPM_BUILD_ROOT%{_bindir}
install diffstat.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/diffstat.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: diffstat.spec,v $
Revision 1.47  2012/01/07 09:00:54  adamg
- updated to 1.55

Revision 1.46  2011/01/29 00:06:19  sparky
- dropped pre-cvs changelog

Revision 1.45  2010/10/11 07:29:07  lisu
- 1.54

Revision 1.44  2010/07/19 21:09:26  lisu
- 1.53

Revision 1.43  2010/07/16 12:00:54  lisu
- 1.52

Revision 1.42  2009/11/09 09:05:28  adamg
- updated to 1.51

Revision 1.41  2009/10/07 13:36:38  lisu
- 1.50

Revision 1.40  2009/09/08 08:08:27  lisu
- 1.49

Revision 1.39  2009/08/17 08:28:09  lisu
- 1.48

Revision 1.38  2009/03/30 10:32:17  lisu
- up to 1.47
- don't need to set LDFLAGS twice
- more verbose files

Revision 1.37  2008/07/27 22:18:54  arekm
- release 2

Revision 1.36  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.34  2006/02/05 13:02:40  darekr
- updated to 1.41

Revision 1.33  2005/02/06 19:01:26  darekr
- updated to 1.38
- cosmetics

Revision 1.32  2004/11/11 09:22:33  paladine
- updated to 1.35

Revision 1.31  2004/04/26 14:33:15  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.30  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:46:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/10/10 13:33:18  marcus
- use new %%doc

Revision 1.27  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.26  2002/04/25 16:12:00  arturs
fixed a small typo

Revision 1.25  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.22  2001/08/11 12:46:08  blues
- Release 3
- ac 2.5 ready (autoconf to buildrequires)
- ugly permisions workaround

Revision 1.21  2001/05/27 18:54:54  kloczek
- release 2.

Revision 1.20  2001/05/02 02:43:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/18 18:08:16  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/31 01:41:05  kloczek
- updated to 1.28,
- spec adapterized.

Revision 1.15  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.14  1999/12/04 22:11:58  kloczek
- typo.

Revision 1.13  1999/12/04 22:07:48  kloczek
- release 2,
- fixed Source url,
- more rpm macros.

Revision 1.12  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
